Class UmlStateDiagram

Declaration :

- C++ : class UmlStateDiagram : public UmlBaseStateDiagram, public UmlStateItem
- Java : class UmlStateDiagram extends UmlBaseStateDiagram implements UmlStateItem

Artifact : UmlStateDiagram

Operation UmlStateDiagram

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlStateDiagram(in id : item_id, in s : string) :
- C++ : public: UmlStateDiagram(void * id, const QCString & s) : UmlBaseStateDiagram(id, s)
- Java : public UmlStateDiagram(long id, String s)

All public operations : apply , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload